//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <iterator>
#include <vector>
#include <algorithm>

#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;


std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main(int argc, char* argv[])
{
  //       cout 
  // -       
  ostream_iterator<int> intWriter(cout,"\n");

  //      
  *intWriter = 42;
  intWriter++;
  *intWriter = 77;
  intWriter++;
  *intWriter = -5;

  //      1  9 
  vector<int> coll; 
  for (int i=1; i<=9; ++i) { 
    coll.push_back(i);
  }

  //      
  cout << ToRus("  :\n");
  copy (coll.begin(), coll.end(),
        ostream_iterator<int>(cout)); 
  cout << endl;

  //      " <" 
  cout << ToRus(" c m \"<\":\n");
  copy (coll.begin(), coll.end(),
        ostream_iterator<int>(cout," < ")); 
  cout << endl;

  getch();
  return 0;
}

//---------------------------------------------------------------------------